P: Error at loading of ippCV library

7 Votes
LEGEND ,
Oct 20, 2020 Oct 20, 2020

Copy link to clipboard

Copied

On my computer it is impossible to start the Photoshop 22.0 After starting the program, following errormessage appears:

 

Your application is dynamically linked with Intel(R) IPP libraries version 2020.0.1.

No DLL from the list below is found an the system search path:

 ippcvm7.dll (the most suitable for your CPU)

Please provide a path to at least one of them.

 

The operating system is:

 

Edition Windows 10 Home
Version 20H2
Installiert am ‎27.‎05.‎2020
Betriebssystembuild 19042.572
Leistung Windows Feature Experience Pack 120.2212.31.0

 

The hardware is:

 

Gerätename HP_Leng
Prozessor AMD A6-3600 APU with Radeon(tm) HD Graphics   2.10 GHz
Installierter RAM 8,00 GB
Geräte-ID E2F99962-C5E4-461F-849F-D1979C252659
Produkt-ID 00326-10000-00000-AA210
Systemtyp 64-Bit-Betriebssystem, x64-basierter Prozessor
Stift- und Toucheingabe Für diese Anzeige ist keine Stift- oder Toucheingabe verfügbar.

Bug Won't fix
TOPICS
Windows

Views

40.0K

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines

correct answers 1 Correct answer

Adobe Employee , Oct 21, 2020 Oct 21, 2020

Photoshop 2021 (v22.x) requires a CPU that supports SSE 4.2 or later.

https://helpx.adobe.com/photoshop/kb/known-issues.html#ErroratloadingofippCVlibrary

To determine if your CPU meets this SSE version support requirement, see Photoshop's Help > System Info dialog and look in or near the 4th line.

  1. Adobe Photoshop Version: 22.0.0 20200921.m.1053 2020/09/21: 0fb66349f4  x64
  2. Number of Launches: 6
  3. Operating System: Mac OS 10.15.5
  4. ystem architecture: Intel CPU Family:6, Model:14, S
...

Votes

Translate

Translate
replies 226 Replies 226
226 Comments
Explorer ,
Oct 27, 2020 Oct 27, 2020

Copy link to clipboard

Copied

I'm really lost here. I tried to go to those links in the first message and neither linked with anything. I'm getting the same error message. How do you fix it?

Votes

Translate

Translate

Report

Report
LEGEND ,
Oct 27, 2020 Oct 27, 2020

Copy link to clipboard

Copied

@shad0w 

As I have the same problem on a MacPro 3,1 (Version 2020 working well and 2021 crashing on start) I download the pack of libs but I can't find where in the Install directory of 2021 I can put this pack that will overwrite the wrong opens library. Thanks in advance for clues on a Mac for that.

Votes

Translate

Translate

Report

Report
Engaged ,
Oct 27, 2020 Oct 27, 2020

Copy link to clipboard

Copied

It's Windows only, not suitable for Mac - sorry.

Votes

Translate

Translate

Report

Report
Contributor ,
Oct 27, 2020 Oct 27, 2020

Copy link to clipboard

Copied

@Richard Lindley   2nd link still there and looks to work for me.  1st link my security had some issue with I think.

Votes

Translate

Translate

Report

Report
New Here ,
Oct 28, 2020 Oct 28, 2020

Copy link to clipboard

Copied

Pls help me anyone to solve this problem!

ippCV-2dd4db3b-4d7b-4d7b-a23c-91d1696504de-562673769.png

Votes

Translate

Translate

Report

Report
New Here ,
Oct 28, 2020 Oct 28, 2020

Copy link to clipboard

Copied

pls help me! how i can solve this problems?

ippCV-d2018ac1-54e0-4a1d-a741-a581eb0cdb9d-562673769.png

Votes

Translate

Translate

Report

Report
Community Expert ,
Oct 29, 2020 Oct 29, 2020

Copy link to clipboard

Copied

Glad you are up and running, and Adobe definitely needs to address what the story is here – but nobody should be kept from doing their work...

 

The simple answer here is to continue to use the prior 2020 release until this gets sorted out and more answers are forthcoming.

 

If you are doing mission-critical work, then arguably it's best to wait until the first minor update anyway, just to shake out bugs (which are normal and expected in any software development process).

Votes

Translate

Translate

Report

Report
Adobe Employee ,
Oct 29, 2020 Oct 29, 2020

Copy link to clipboard

Copied

Engineering says this is not a supported configuration - and that testing showed that there were other issues if you tried to run those libraries on a non-SSE 4.2 compliant machine. Hence, why they were removed and not officially supported.


Senior Product Manager - Customer Advocacy - Digital Imaging

Votes

Translate

Translate

Report

Report
LEGEND ,
Oct 29, 2020 Oct 29, 2020

Copy link to clipboard

Copied

I suppose that while adobe fixes HIS mistake, it will discount the sucription, right? Since we cannot modify the program, but we CAN continue paying for an old version

Votes

Translate

Translate

Report

Report
Adobe Employee ,
Oct 29, 2020 Oct 29, 2020

Copy link to clipboard

Copied

Old hardware gets deprecated as new features rely on new API and hardware. This isn't something that will be fixed - other than in the future, Creative Cloud desktop app will not allow you to install 22.x on a system hardware that isn't supported.


Senior Product Manager - Customer Advocacy - Digital Imaging

Votes

Translate

Translate

Report

Report
LEGEND ,
Oct 29, 2020 Oct 29, 2020

Copy link to clipboard

Copied

I have updated Photoshop to 2021 to find it wont run due to my processor not having SSE4.2 support.  I've a perfectly good processor that has run Adobe products really well for years (Intel(R) Core 2 Duo CPU E8500 @ 3.16GHz, 3166 Mhz, 2 Core(s), 2 Logical Processor(s)).  Its not great, but its good enough.  I am certainly shocked that Adobe would think it not good enough to support the Photoshop product.  I've had to roll back to the previous version and I am gutted. Even worse. I am now likely to be stuck on this older version for ever more.  Who knows what funky tools and developments will be added that I will never be able to use - yet i'll be paying the same subscription fees as those that happen to have SSE4.2.  Ridiculous.

 

Adobe - please tell me that you'll be fixing this issue so that others like me can continue to get something approaching value for money from a subscription based software product without having to invest in replacing perfectly acceptable hardware.

Votes

Translate

Translate

Report

Report
Community Expert ,
Oct 29, 2020 Oct 29, 2020

Copy link to clipboard

Copied

"Engineering says this is not a supported configuration - and that testing showed that there were other issues if you tried to run those libraries on a non-SSE 4.2 compliant machine. Hence, why they were removed and not officially supported."

Thanks Jeff, for your response... Can you give some clarity on what specifically the other issues would be for people trying to add/run the older libraries which you said were removed by the developers?

Votes

Translate

Translate

Report

Report
LEGEND ,
Oct 29, 2020 Oct 29, 2020

Copy link to clipboard

Copied

I can't use photoshop 2021 with AMD Phenom II X6 1090T CPU, why I can't use it ? I just able to use the photoshop if I downgrade to photoshop 2020. I really disappointed with it. 

Votes

Translate

Translate

Report

Report
Contributor ,
Oct 30, 2020 Oct 30, 2020

Copy link to clipboard

Copied

This isn't something that will be fixed - other than in the future, Creative Cloud desktop app will not allow you to install 22.x on a system hardware that isn't supported.

Makes a person wonder how every other app in the world can continue to run on these systems but Adobe Photoshop cannot.  And to save us from ourselves they will now put a lockout on fixes that work. (as stated above?)

Votes

Translate

Translate

Report

Report
Adobe Employee ,
Oct 30, 2020 Oct 30, 2020

Copy link to clipboard

Copied

@ProDesignTools Crashing, program errors, unexpected behaviors, etc


Senior Product Manager - Customer Advocacy - Digital Imaging

Votes

Translate

Translate

Report

Report
Engaged ,
Oct 30, 2020 Oct 30, 2020

Copy link to clipboard

Copied

@JeffreyTranberry 

With all respect, this is just a general statements.

Can you be more specific?

Also, why on Earth Premiere Pro 2021 and After Effects 2021 can run just fine on a CPU without SSE4.2, and Photoshop 2021 can't?

Why requirement to have SSE4.2 is only stated on the page with system requirements in English and not there for any other languages?

 

While I could agree that replacing libraries could have some side effects (this is very unlikely, because this is exactly the same versions used in PS), Adobe definitely could rebuild binaries just by changing compiler options to not require SSE4.2.

All that is needed is Adobe's willing to do so, which is clearly missing...

 

Votes

Translate

Translate

Report

Report
Community Beginner ,
Oct 30, 2020 Oct 30, 2020

Copy link to clipboard

Copied

@Anelyse: The path does not exist because the specific DLLs are not found on your computer.

Votes

Translate

Translate

Report

Report
Contributor ,
Oct 30, 2020 Oct 30, 2020

Copy link to clipboard

Copied

While I could agree that replacing libraries could have some side effects (this is very unlikely, because this is exactly the same versions used in PS), Adobe definitely could rebuild binaries just by changing compiler options to not require SSE4.2.

All that is needed is Adobe's willing to do so, which is clearly missing...

Yes, This.   Couldn't have said it better.

Votes

Translate

Translate

Report

Report
LEGEND ,
Oct 31, 2020 Oct 31, 2020

Copy link to clipboard

Copied

Faça exatamente como o Shadow disse.... deu certinho aqui ! Uhuuuullllll

Votes

Translate

Translate

Report

Report
LEGEND ,
Oct 31, 2020 Oct 31, 2020

Copy link to clipboard

Copied

This is out of order so most users are being told upgrade your CPU, what a joke & poss adobe are making this a bit of a mug off. I,m getting the same error. I,m running a Phenom II black 6 core

Votes

Translate

Translate

Report

Report
LEGEND ,
Nov 01, 2020 Nov 01, 2020

Copy link to clipboard

Copied

@shad0w

Thank you! I am running Windows 10 with an Intel Core2 Duo processor and this worked. 

I did need to download an app from the Microsoft Store to extract the files. 
 

Votes

Translate

Translate

Report

Report
Community Beginner ,
Nov 01, 2020 Nov 01, 2020

Copy link to clipboard

Copied

That CPU dates from 2010! 

"The next-generation Phenom II X6 was released on April 27, 2010. The Phenom II X4 operates as the processor component of AMD's Dragon Platform, which also includes the 790 series chipset and Radeon HD 4800 series graphics."
 

Votes

Translate

Translate

Report

Report
Explorer ,
Nov 01, 2020 Nov 01, 2020

Copy link to clipboard

Copied

What app please!! Thank you!

Votes

Translate

Translate

Report

Report
Contributor ,
Nov 01, 2020 Nov 01, 2020

Copy link to clipboard

Copied

7zip is my preference.

Votes

Translate

Translate

Report

Report
LEGEND ,
Nov 01, 2020 Nov 01, 2020

Copy link to clipboard

Copied

la versión nueva de photoshop 2021 no la puedo abrir me aparece ¨error at loading of ippcv library´´ 

mi pc es una amd phenon II x4 8470 processor, 12 gb ram, ati radean hd 4250

Votes

Translate

Translate

Report

Report